package com.miaxis.engine.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
/**
 * 报价对象 engine_info
 *
 * @author miaxis
 * @date 2023-01-29
 */
@Data
@TableName("engine_info")
@ApiModel(value = "EngineInfo", description = "报价对象 engine_info")
public class EngineInfo extends BaseBusinessEntity{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId(value = "id")
    @ApiModelProperty(value = "主键")
    private Long id;

    /** 动力品牌 */
    @Excel(name = "动力品牌",sort =1)
    @TableField("brand")
    @ApiModelProperty(value = "动力品牌")
    private String brand;

    /** 型号 */
    @Excel(name = "型号",sort =2)
    @TableField("model")
    @ApiModelProperty(value = "型号")
    private String model;

    /** 发动机主要功率(1500RPM  50HZ) */
    @Excel(name = "发动机主要功率(1500RPM  50HZ)",sort =3)
    @TableField("engine_power_major_1500RPM")
    @ApiModelProperty(value = "发动机主要功率(1500RPM  50HZ)")
    private Long enginePowerMajor1500rpm;

    /** 发动机备用功率(1500RPM  50HZ) */
    @Excel(name = "发动机备用功率(1500RPM  50HZ)",sort =4)
    @TableField("engine_power_minor_1500RPM")
    @ApiModelProperty(value = "发动机备用功率(1500RPM  50HZ)")
    private Long enginePowerMinor1500rpm;

    /** 推荐机组主要功率(1500RPM  50HZ) */
    @Excel(name = "推荐机组主要功率(1500RPM  50HZ)",sort =5)
    @TableField("unit_power_major_1500RPM")
    @ApiModelProperty(value = "推荐机组主要功率(1500RPM  50HZ)")
    private Long unitPowerMajor1500rpm;

    /** 推荐机组备用功率(1500RPM  50HZ) */
    @Excel(name = "推荐机组备用功率(1500RPM  50HZ)",sort =6)
    @TableField("unit_power_minor_1500RPM")
    @ApiModelProperty(value = "推荐机组备用功率(1500RPM  50HZ)")
    private Long unitPowerMinor1500rpm;

    /** 发动机主要功率(1800RPM  60HZ) */
    @Excel(name = "发动机主要功率(1800RPM  60HZ)",sort =7)
    @TableField("engine_power_major_1800RPM")
    @ApiModelProperty(value = "发动机主要功率(1800RPM  60HZ)")
    private Long enginePowerMajor1800rpm;

    /** 发动机备用功率(1800RPM  60HZ) */
    @Excel(name = "发动机备用功率(1800RPM  60HZ)",sort =8)
    @TableField("engine_power_minor_1800RPM")
    @ApiModelProperty(value = "发动机备用功率(1800RPM  60HZ)")
    private Long enginePowerMinor1800rpm;

    /** 推荐机组主要功率(1800RPM  60HZ) */
    @Excel(name = "推荐机组主要功率(1800RPM  60HZ)",sort =9)
    @TableField("unit_power_major_1800RPM")
    @ApiModelProperty(value = "推荐机组主要功率(1800RPM  60HZ)")
    private Long unitPowerMajor1800rpm;

    /** 推荐机组备用功率(1800RPM  60HZ) */
    @Excel(name = "推荐机组备用功率(1800RPM  60HZ)",sort =10)
    @TableField("unit_power_minor_1800RPM")
    @ApiModelProperty(value = "推荐机组备用功率(1800RPM  60HZ)")
    private Long unitPowerMinor1800rpm;

    /** 油泵形式 */
    @Excel(name = "油泵形式",sort =11)
    @TableField("oil_form")
    @ApiModelProperty(value = "油泵形式")
    private String oilForm;

    /** 进气方式 */
    @Excel(name = "进气方式",sort =12)
    @TableField("air_intake_mode")
    @ApiModelProperty(value = "进气方式")
    private String airIntakeMode;

    /** 电压 */
    @Excel(name = "电压",sort =13)
    @TableField("voltage")
    @ApiModelProperty(value = "电压")
    private String voltage;

    /** 排量 （L） */
    @Excel(name = "排量 （L）", sort =14)
    @TableField("displacement")
    @ApiModelProperty(value = "排量 （L）")
    private String displacement;

    /** 油耗（g/kw.h) */
    @Excel(name = "油耗（g/kw.h)", sort =15)
    @TableField("oil_consumption")
    @ApiModelProperty(value = "油耗（g/kw.h)")
    private String oilConsumption;

    /** 水箱重量(Kg) */
    @Excel(name = "水箱重量(Kg)",sort =16)
    @TableField("tank_weight")
    @ApiModelProperty(value = "水箱重量(Kg)")
    private Long tankWeight;

    /** 动力尺寸L*W*H(mm) */
    @Excel(name = "动力尺寸L*W*H(mm)",sort =17)
    @TableField("power_size")
    @ApiModelProperty(value = "动力尺寸L*W*H(mm)")
    private String powerSize;

    /** 水箱尺寸L*W*H(mm) */
    @Excel(name = "水箱尺寸L*W*H(mm)",sort =18)
    @TableField("tank_size")
    @ApiModelProperty(value = "水箱尺寸L*W*H(mm)")
    private String tankSize;

    /** 排放标准 */
    @Excel(name = "排放标准",sort =19)
    @TableField("emission_standard")
    @ApiModelProperty(value = "排放标准")
    private String emissionStandard;

    /** 配置说明 */
    @Excel(name = "配置说明",sort =20)
    @TableField("configuration_description")
    @ApiModelProperty(value = "配置说明")
    private String configurationDescription;

    /** 价格 */
    @Excel(name = "价格",sort =21)
    @TableField("price")
    @ApiModelProperty(value = "价格")
    private Long price;

    /** 水箱价格 */
    @Excel(name = "水箱价格",sort =22)
    @TableField("tank_price")
    @ApiModelProperty(value = "水箱价格")
    private Long tankPrice;

    public void setId(Long id){
        this.id = id;
    }

    public Long getId(){
        return id;
    }
    public void setBrand(String brand){
        this.brand = brand;
    }

    public String getBrand(){
        return brand;
    }
    public void setModel(String model){
        this.model = model;
    }

    public String getModel(){
        return model;
    }
    public void setEnginePowerMajor1500rpm(Long enginePowerMajor1500rpm){
        this.enginePowerMajor1500rpm = enginePowerMajor1500rpm;
    }

    public Long getEnginePowerMajor1500rpm(){
        return enginePowerMajor1500rpm;
    }
    public void setEnginePowerMinor1500rpm(Long enginePowerMinor1500rpm){
        this.enginePowerMinor1500rpm = enginePowerMinor1500rpm;
    }

    public Long getEnginePowerMinor1500rpm(){
        return enginePowerMinor1500rpm;
    }
    public void setUnitPowerMajor1500rpm(Long unitPowerMajor1500rpm){
        this.unitPowerMajor1500rpm = unitPowerMajor1500rpm;
    }

    public Long getUnitPowerMajor1500rpm(){
        return unitPowerMajor1500rpm;
    }
    public void setUnitPowerMinor1500rpm(Long unitPowerMinor1500rpm){
        this.unitPowerMinor1500rpm = unitPowerMinor1500rpm;
    }

    public Long getUnitPowerMinor1500rpm(){
        return unitPowerMinor1500rpm;
    }
    public void setEnginePowerMajor1800rpm(Long enginePowerMajor1800rpm){
        this.enginePowerMajor1800rpm = enginePowerMajor1800rpm;
    }

    public Long getEnginePowerMajor1800rpm(){
        return enginePowerMajor1800rpm;
    }
    public void setEnginePowerMinor1800rpm(Long enginePowerMinor1800rpm){
        this.enginePowerMinor1800rpm = enginePowerMinor1800rpm;
    }

    public Long getEnginePowerMinor1800rpm(){
        return enginePowerMinor1800rpm;
    }
    public void setUnitPowerMajor1800rpm(Long unitPowerMajor1800rpm){
        this.unitPowerMajor1800rpm = unitPowerMajor1800rpm;
    }

    public Long getUnitPowerMajor1800rpm(){
        return unitPowerMajor1800rpm;
    }
    public void setUnitPowerMinor1800rpm(Long unitPowerMinor1800rpm){
        this.unitPowerMinor1800rpm = unitPowerMinor1800rpm;
    }

    public Long getUnitPowerMinor1800rpm(){
        return unitPowerMinor1800rpm;
    }
    public void setOilForm(String oilForm){
        this.oilForm = oilForm;
    }

    public String getOilForm(){
        return oilForm;
    }
    public void setAirIntakeMode(String airIntakeMode){
        this.airIntakeMode = airIntakeMode;
    }

    public String getAirIntakeMode(){
        return airIntakeMode;
    }
    public void setVoltage(String voltage){
        this.voltage = voltage;
    }

    public String getVoltage(){
        return voltage;
    }
    public void setDisplacement(String displacement){
        this.displacement = displacement;
    }

    public String getDisplacement(){
        return displacement;
    }
    public void setOilConsumption(String oilConsumption){
        this.oilConsumption = oilConsumption;
    }

    public String getOilConsumption(){
        return oilConsumption;
    }
    public void setTankWeight(Long tankWeight){
        this.tankWeight = tankWeight;
    }

    public Long getTankWeight(){
        return tankWeight;
    }
    public void setPowerSize(String powerSize){
        this.powerSize = powerSize;
    }

    public String getPowerSize(){
        return powerSize;
    }
    public void setTankSize(String tankSize){
        this.tankSize = tankSize;
    }

    public String getTankSize(){
        return tankSize;
    }
    public void setEmissionStandard(String emissionStandard){
        this.emissionStandard = emissionStandard;
    }

    public String getEmissionStandard(){
        return emissionStandard;
    }
    public void setConfigurationDescription(String configurationDescription){
        this.configurationDescription = configurationDescription;
    }

    public String getConfigurationDescription(){
        return configurationDescription;
    }
    public void setPrice(Long price){
        this.price = price;
    }

    public Long getPrice(){
        return price;
    }
    public void setTankPrice(Long tankPrice){
        this.tankPrice = tankPrice;
    }

    public Long getTankPrice(){
        return tankPrice;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("brand", getBrand())
            .append("model", getModel())
            .append("enginePowerMajor1500rpm", getEnginePowerMajor1500rpm())
            .append("enginePowerMinor1500rpm", getEnginePowerMinor1500rpm())
            .append("unitPowerMajor1500rpm", getUnitPowerMajor1500rpm())
            .append("unitPowerMinor1500rpm", getUnitPowerMinor1500rpm())
            .append("enginePowerMajor1800rpm", getEnginePowerMajor1800rpm())
            .append("enginePowerMinor1800rpm", getEnginePowerMinor1800rpm())
            .append("unitPowerMajor1800rpm", getUnitPowerMajor1800rpm())
            .append("unitPowerMinor1800rpm", getUnitPowerMinor1800rpm())
            .append("oilForm", getOilForm())
            .append("airIntakeMode", getAirIntakeMode())
            .append("voltage", getVoltage())
            .append("displacement", getDisplacement())
            .append("oilConsumption", getOilConsumption())
            .append("tankWeight", getTankWeight())
            .append("powerSize", getPowerSize())
            .append("tankSize", getTankSize())
            .append(" emissionStandard", getEmissionStandard())
            .append("configurationDescription", getConfigurationDescription())
            .append("price", getPrice())
            .append("tankPrice", getTankPrice())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
